body, html{
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  font-family: "Orbitron";
}

video {
  display: none;
  position: absolute;
  width: 220px;
  bottom: 10px;
  right: 10px;
  z-index: 10;
  border: 2px solid white;
}

#loading_screen {
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 100;
}

.loader {
  width: 50px; height: 50px;
  border: 3px solid #111;
  border-top: 3px solid #00f2ff;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

#output_canvas {
  position: absolute;
  width: 220px;
  bottom: 10px;
  left: 10px;
  z-index: 10;
  border: 2px solid white;
  transform: scaleX(-1);
}


/* ############################################ */
/* ###############    START    ################ */
/* ############################################ */
#startScreen, #endScreen{
  height: 100%;
  display: flex;
  flex-direction: column;

  header, footer {
    padding: 15px 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /*background: rgba(255, 255, 255, 0.05);*/
    /*background: #00d4ff;*/
    background: #12c4e8;
    color: #fff;
    backdrop-filter: blur(10px);
  }

    header a, footer a {
    color: #fff;
    text-decoration: none;
    margin-right: 15px;
    font-size: 0.9rem;
    transition: color 0.3s;
  }

  header a:hover, footer a:hover {
    color: #ffffff;
  }

  .center {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #fff;
    background: url("../img/penalty-pov-ball.jpg");
    background-size: cover;
    background-position: 50% 100%;
  }

  h1 {
    font-size: 3rem;
    margin-bottom: 10px;
    letter-spacing: 2px;
  }

  p {
    margin-bottom: 30px;
    opacity: 0.8;
  }

  .btnStart {
    padding: 15px 40px;
    font-size: 1.2rem;
    border: none;
    border-radius: 50px;
    /*background: linear-gradient(45deg, #ff4e50, #f9d423);*/
    background: linear-gradient(45deg, #00d4ff, #14619a);
    color: #fff;
    transition: transform 0.2s, box-shadow 0.2s;
  }

  .btnStart:not(:disabled):hover {
    cursor: pointer;
    transform: scale(1.1);
    box-shadow: 0 0 20px rgba(255,255,255,0.5);
  }

  .logo {
    font-weight: bold;
    font-size: 1.2rem;
    color: #fff;
  }
}

#gameScreen{
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background: url('../img/penalty-pov.jpg');
  /*background-size: cover;
  background-position: 50% 100%;*/

  background-size: auto 1600px;
  background-position: 50% calc(62.409% + 2vh);
  background-repeat: no-repeat;
  background-color: #041d3c;
}

#score, #timerContainer{
  position: absolute;
  top: 6px;
  
  color: #fff;
  z-index: 999;
  font-size: 40px;
  font-family: "Orbitron", cursive;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
}

#score{
  left: 20px;
}

#timerContainer{
  right: 20px;
}

#timerBonus{
  display: inline-block;
  color: #09b8eb;
}

#timer{
  display: inline-block;
}

#pointsPopup{
  position: absolute;
  font-size: 3em;
  color: white;
  text-align: center;
  z-index: 999;
}

#messagePopup{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 3em;
  color: white;
  text-align: center;
  z-index: 999;
}

@keyframes spin { 100% { transform: rotate(360deg); } }